%define staticdevelname %mklibname bison -d -s

%define bootstrap 0
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

Summary:	A GNU general-purpose parser generator
Name:		bison
Version:	2.7
Release:	%mkrel 2
License:	GPL
Group:		Development/Tools
URL:		http://www.gnu.org/software/bison/bison.html
Source0:	ftp://ftp.gnu.org/pub/gnu/bison/bison-%{version}.tar.xz
Patch0:		bison-1.32-extfix.patch
Requires(post): info-install
Requires(preun):info-install
Requires:	m4 >= 1.4
BuildRequires:	help2man
%if !%bootstrap
%ifnarch %mips %arm
BuildRequires:	java-devel-openjdk
%endif
%endif
BuildRequires:	m4 >= 1.4

%description
Bison is a general purpose parser generator which converts a grammar
description for an LALR context-free grammar into a C program to parse
that grammar.  Bison can be used to develop a wide range of language
parsers, from ones used in simple desk calculators to complex programming
languages.  Bison is upwardly compatible with Yacc, so any correctly
written Yacc grammar should work with Bison without any changes.  If
you know Yacc, you shouldn't have any trouble using Bison (but you do need
to be very proficient in C programming to be able to use Bison).  Many
programs use Bison as part of their build process. Bison is only needed
on systems that are used for development.

If your system will be used for C development, you should install Bison
since it is used to build many C programs.

%package -n	%{staticdevelname}
Summary:	Static development library for using Bison-generated parsers
Group:		Development/C
Requires:	bison = %{version}
Provides:	bison-devel-static = %{version}

%description -n	%{staticdevelname}
This package contains the static -ly library sometimes used by programs using
Bison-generated parsers. If you are developing programs using Bison, you might
want to link with this library. This library is not required by all
Bison-generated parsers, but may be employed by simple programs to supply
minimal support for the generated parsers.

%prep
%setup -q
%patch0 -p1 -b .extfix

%build
%configure2_5x
%make

%check
%make check

%install
%makeinstall_std

mv %{buildroot}%{_bindir}/yacc %{buildroot}%{_bindir}/yacc.bison


%find_lang %{name}
%find_lang %{name}-runtime
cat %name-runtime.lang >> %name.lang

%post
%_install_info %{name}.info
%{_sbindir}/update-alternatives --install %{_bindir}/yacc yacc %{_bindir}/yacc.bison 10

%preun
%_remove_install_info %{name}.info
if [ $1 -eq 0 ]; then
  %{_sbindir}/update-alternatives --remove yacc %{_bindir}/yacc.bison
fi

%files -f %{name}.lang
%doc COPYING NEWS README
%{_bindir}/*
%dir %{_datadir}/bison
%{_datadir}/bison/*
%{_datadir}/aclocal/*
%{_infodir}/bison.info*
%{_mandir}/man1/*

%files -n %{staticdevelname}
%{_libdir}/liby.a


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 2.7-2.mga3
+ Revision: 346908
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 15 2012 luigiwalser <luigiwalser> 2.7-1.mga3
+ Revision: 331235
- 2.7

* Thu Nov 08 2012 fwang <fwang> 2.6.5-1.mga3
+ Revision: 316291
- new version 2.6.5
- cleanup spec and rpm group

* Wed Oct 24 2012 fwang <fwang> 2.6.4-1.mga3
+ Revision: 309592
- new version 2.6.4

* Tue Oct 23 2012 fwang <fwang> 2.6.3-1.mga3
+ Revision: 309399
- new version 2.6.3

* Fri Aug 03 2012 fwang <fwang> 2.6.2-1.mga3
+ Revision: 278293
- new version 2.6.2

* Wed Aug 01 2012 fwang <fwang> 2.6.1-1.mga3
+ Revision: 277151
- new version 2.6.1

* Fri Jul 20 2012 fwang <fwang> 2.6-1.mga3
+ Revision: 272741
- new version 2.6

* Wed Jun 06 2012 fwang <fwang> 2.5.1-1.mga3
+ Revision: 256088
- new version 2.5.1

* Fri Jun 17 2011 tv <tv> 2.5-1.mga2
+ Revision: 109238
- new release

* Sun Jan 09 2011 blino <blino> 2.4.3-2.mga1
+ Revision: 2170
- rebuild  with java

* Sat Jan 08 2011 blino <blino> 2.4.3-1.mga1
+ Revision: 404
- bootstrap bison
- add bootstrap flag
- remove obsolete stuff
- imported package bison

